You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@beam.apache.org by pa...@apache.org on 2022/10/17 20:28:03 UTC

[beam] branch master updated: Fixes #23627: Speed up website checks (#23673)

This is an automated email from the ASF dual-hosted git repository.

pabloem pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/beam.git


The following commit(s) were added to refs/heads/master by this push:
     new 34003c6cb7f Fixes #23627: Speed up website checks (#23673)
34003c6cb7f is described below

commit 34003c6cb7fdeb7ed8ad1a3f1e90b79183f1b1ca
Author: Pablo Estrada <pa...@users.noreply.github.com>
AuthorDate: Mon Oct 17 13:27:57 2022 -0700

    Fixes #23627: Speed up website checks (#23673)
---
 website/www/check-links.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/website/www/check-links.sh b/website/www/check-links.sh
index 5cbd0a62550..f4f2e2f3c44 100755
--- a/website/www/check-links.sh
+++ b/website/www/check-links.sh
@@ -73,7 +73,7 @@ for external_link in "${external_links[@]}"
 do
     redraw_progress_bar 50 1 $i ${#external_links[@]}
 
-    if ! curl -sSfL --max-time 60 --connect-timeout 30 --retry 3 -4 "${external_link}" > /dev/null ; then
+    if ! curl -sSfL --max-time 10 --connect-timeout 10 --retry 2 -4 "${external_link}" > /dev/null ; then
         invalid_links+=("${external_link}")
         echo "${external_link}"
     fi